Description

Mentor:  Trent Hare

As part of the pixel offset issue (import/export)

Related issues:

Related to ISIS - Bug #2244: Pixel (Line/Sample) Projection Offset Issue In Progress

Related to ISIS - Feature #2358: ISIS capability to work with Kaguya MI L3C5 ... Feedback

History

#1 - 2016-11-01 11:01 AM - Tammy Becker

- Related to Bug #2244: Pixel (Line/Sample) Projection Offset Issue added

#2 - 2016-11-01 11:02 AM - Tammy Becker

- Related to Feature #2358: ISIS capability to work with Kaguya MI L3C5 data added

#3 - 2016-11-02 11:08 AM - Jason Laura

- Status changed from Acknowledged to New

#4 - 2016-11-02 12:01 PM - Jason Laura

- Story points set to 2

Similar testing to pds2isis test plan.  Run the program and verify the output in the label.  Trent will provide the correct values to test with.

#5 - 2016-11-02 12:01 PM - Jason Laura

- Status changed from New to Acknowledged

#6 - 2016-11-09 12:09 PM - Trent Hare

These are going to be preliminary numbers I'm not sure what the correct values should be!

(1) grab map projected Kaguya L35 data (please place in testing location):

/usgs/shareall/TEMP/thare/MI_L3C5_9.9.16/MIA_3C5_03_02024S140E3586SC.img

(2) A bug was just fix and not in stable so first set isis. This fix correctly adjusts the incorrect PDS SAMPLE_PROJECTION_OFFSET

log into prog21 to run beta area

$ isis /work/projects/isis/latest/m02358/isis

(3) run conversion

$ mimap2isis from=MIA_3C5_03_02024S140E3586SC.img to=MIA_3C5_03_02024S140E3586SC_mimap.cub setnullrange=yes nullmin=-30000

nullmax=-30000

(4) test ProjectionOffset X,Y using maplab (in typical ISIS latest area)

maplab from=MIA_3C5_03_02024S140E3586SC_mimap.cub map=MIA_3C5_03_02024S140E3586SC_maplab.cub sample=0.5 line=0.5

coordinates=latlon lat=-13.73339844 lon=358.31103516

Now look at X,Y offsets in both ISIS cubes. They should be the same (but are not).

Just using the pure Simple Cylindrical map projections equation they should be 
X = 10865191.07999640   (X = min_lon * PI/180.0 * 1737400) where min_lon = 358.3110352

Y = -416442.65341059    (Y = max_lat * PI/180.0 * 1737400) where max_lat=-13.73339844 

ISIS sets them to these values (mimap.cub)

UpperLeftCornerX   = -51207.65772  for a difference of 7.41497739

UpperLeftCornerY   = -416449.95948   for a difference of 7.50025059

ISIS is apparently also wrapping the the min longitude 358.3110352 (min_Lon - 360) to -1.68896484 (which must be another issue in the label).

Perhaps ISIS is running (min_lon - 360) for Longitudes above 180? Anyway, using this the map projection equation would be:

X = -51215.07269739   (X = -1.68896484 PI/180.0 * 1737400)

If ISIS is converting the Lons then it should be reflected in the ISIS output label. Currently they are still being reported as ~358 degrees.

Summary:

X is wonky but seems correct but with a 1/2 pixel offset

Y seems correct but but with a 1/2 pixel offset

So products in PDS standard are suppose to apply a PIXEL_OFFSET by adding 0.5 pixels to get to the corner from the pixel center. For this label the

offset should be 0.0.

#7 - 2016-11-09 12:24 PM - Robert Sucharski

- Assignee set to Robert Sucharski

#8 - 2016-11-10 09:07 AM - Robert Sucharski

- Status changed from Acknowledged to Assigned

#9 - 2016-11-10 10:47 AM - Jason Laura

- Target version changed from 3.5.0 (FY17 UserTestPlan Sprint #1) to FY17 Sprint 3

#10 - 2016-11-10 10:53 AM - Jason Laura

- Status changed from Assigned to Acknowledged

#11 - 2016-11-15 11:21 AM - Robert Sucharski

- Status changed from Acknowledged to In Progress

#12 - 2016-11-21 01:58 PM - Robert Sucharski

- Status changed from In Progress to Resolved

#13 - 2016-11-23 11:27 AM - Marjorie Hahn

- Status changed from Resolved to In Review

#14 - 2016-11-30 04:53 PM - Marjorie Hahn

- Status changed from In Review to Feedback

2017-01-01 2/3



Looks good to me, I would just delete the "StepNumber=" field altogether and also note whether the test is currently passing or failing under

"Pass/Fail".
